Package ch.qos.logback.core.joran.spi

# Class InterpretationContext

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.spi.InterpretationContext

All Implemented Interfaces:
  `ContextAware`, `PropertyContainer`

public class InterpretationContext extends ContextAwareBase implements PropertyContainer
An InterpretationContext contains the contextual state of a Joran parsing session. `Action` objects depend on this context to exchange and store information.

Author:
  Ceki Gülcü

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`InterpretationContext(Context context, Interpreter joranInterpreter)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addInPlayListener(InPlayListener ipl)`
`void`
`addSubstitutionProperties(Properties props)`
`void`
`addSubstitutionProperty(String key, String value)`
Add a property to the properties of this execution context.
`Map<String,String>`
`getCopyOfPropertyMap()`
`DefaultNestedComponentRegistry`
`getDefaultNestedComponentRegistry()`
`Interpreter`
`getJoranInterpreter()`
`Locator`
`getLocator()`
`Object`
`getObject(int i)`
`Map<String,Object>`
`getObjectMap()`
`Stack<Object>`
`getObjectStack()`
`String`
`getProperty(String key)`
If a key is found in propertiesMap then return it.
`boolean`
`isEmpty()`
`boolean`
`isListenerListEmpty()`
`Object`
`peekObject()`
`Object`
`popObject()`
`void`
`pushObject(Object o)`
`boolean`
`removeInPlayListener(InPlayListener ipl)`
`String`
`subst(String value)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterpretationContext

public InterpretationContext(Context context, Interpreter joranInterpreter)

## Method Details

### getDefaultNestedComponentRegistry

public DefaultNestedComponentRegistry getDefaultNestedComponentRegistry()

### getCopyOfPropertyMap

public Map<String,String> getCopyOfPropertyMap()

Specified by:
  `getCopyOfPropertyMap` in interface `PropertyContainer`

### getLocator

public Locator getLocator()

### getJoranInterpreter

public Interpreter getJoranInterpreter()

### getObjectStack

public Stack<Object> getObjectStack()

### isEmpty

public boolean isEmpty()

### peekObject

public Object peekObject()

### pushObject

public void pushObject(Object o)

### popObject

public Object popObject()

### getObject

public Object getObject(int i)

### getObjectMap

public Map<String,Object> getObjectMap()

### addSubstitutionProperty

public void addSubstitutionProperty(String key, String value)
Add a property to the properties of this execution context. If the property exists already, it is overwritten.

### addSubstitutionProperties

public void addSubstitutionProperties(Properties props)

### getProperty

public String getProperty(String key)
If a key is found in propertiesMap then return it. Otherwise, delegate to the context.

Specified by:
  `getProperty` in interface `PropertyContainer`

### subst

public String subst(String value)

### isListenerListEmpty

public boolean isListenerListEmpty()

### addInPlayListener

public void addInPlayListener(InPlayListener ipl)

### removeInPlayListener

public boolean removeInPlayListener(InPlayListener ipl)